<?php

/**
 * This file is part of the eZ Publish Kernel package.
 *
 * @copyright Copyright (C) eZ Systems AS. All rights reserved.
 * @license For full copyright and license information view LICENSE file distributed with this source code.
 */
namespace EzSystems\PlatformHttpCacheBundle\SignalSlot;

use eZ\Publish\Core\SignalSlot\Signal;
use eZ\Publish\Core\SignalSlot\Slot;

/**
 * An abstract slot for clearing all http caches.
 *
 * @deprecated By design clears all cache, will be removed in favour of more precise cache clearing.
 */
abstract class PurgeAllHttpCacheSlot extends HttpCacheSlot
{
    /**
     * Purges all caches.
     *
     * @param \eZ\Publish\Core\SignalSlot\Signal $signal
     *
     * @return mixed
     */
    protected function purgeHttpCache(Signal $signal)
    {
        return $this->httpCacheClearer->purgeAll();
    }
}
